---------------------------------------------------
Full changelog is available online:
    http://git.sysphere.org/vicious/log/?showmsg=1
---------------------------------------------------
6e16a41 bat: fix broken battery remaining time (was always N/A)
bfbc1bd volume: get the normalized volume like alsamixer and DE's indicator
3ef0f11 Next release, tag 2.1.2
946271c bat: expose information on battery wear and tear
7626989 README: write a list of major contributors to the project
c51e13c init: stop allocating reg table functions with properties
52cbb64 Revert "init: emit timeout instead of forced update"
7961ca1 weather: add support for dew point
dc556e5 bat: Use a real minus sign for the charging status
f36997b README: explain wifi abbreviations linp and sign
71ea0f3 README: enable caching in vicious.widgets.cpu example
211d450 init: share timers when possible
75cd103 Revert "mpd: workaround command termination bug in mpd server v0.18"
a6a73f4 mpd: workaround command termination bug in mpd server v0.18
c795642 README: update awesome usage examples for v3.5
563cb6f pkg: revert to pacman as default Arch method, checkupdates optional
01b2302 pkg: use checkupdates on Arch Linux.
2641bf8 contrib: add Open Weather and ATi graphics widget types
0fd4fc5 mboxc: Fixed typo in setmetatable after ported to lua 5.2
052d19e README: explain vicious is a generic WM widget library
bb891d6 Next release, tag 2.1.1
fac688e wifi: add support for /usr/bin binary path
f7fdd90 README: usage examples are for awesome version 3.4
d63343e contrib: add buildbot monitoring widget
8f2f155 Next release, tag 2.1.0
da37c09 mdir: add support for maildir whitespaces
eba6eb0 README: prefer vicious in global space
c28bac5 uptime: metatable bugfix after lua52 port fixed by Jorg Thalheim
3b161ff contrib: document how to enable contributed widgets
e1c7c47 os: change os.getenv init to allow standalone usage of os widget
1a7b430 contrib: initialization bugfix after lua52 port
4caf95b README: update initialization instructions
80d523a bat: metatable bugfix after lua52 port
e929bea widgets: cleanup behind the last commit 363c03e
363c03e Fixed io.lines() bug
8e35a98 Ported vicious.contrib to lua 5.2
41cc2c0 Ported vicious.widgets module to lua 5.2
b6b5290 Ported vicious module to lua 5.2
0741531 cpufreq: skip redudant freq variable check
97e54d6 cpufreq: rework new exception handlers
30db4be cpufreq: handle not existing frequency/governer
13cec6d pkg: update 'Arch S' substitution lines
2d8d7d7 Next release, tag 2.0.4
f972955 README: update thermal documentation
5605030 thermal: change coretemp default, allow file as widget argument
7a3699c division by zero, if battery is full charged
b11bb78 hddtemp: fix curl hang in version 7.24.0
73db82b README: add format function example for overriding symbols
7e81bb8 cpufreq: differentiate between ondemand and conservative
6f42ee5 README: update wtype argument explanation
45c6eba bat: fix time calculation, bug introduced in 350e924
cd4b04d thermal: remove unnecessary read
350e924 bat: another workaround for broken ACPI implementations
eeb27a2 [cpu] fix division by zero
059442d net: sanitize time computation to avoid division by zero
25b375b [pulse] round volume to integer
18e1823 vicious: cleanup tabs and bad intendation
cf996f2 [net] calculate time in a more clean way
f1844de Allocate reg table with all values in one shot
b11d251 README: provide multigraph usage example
44aea37 bat: better fix for missing rate in 31d7b2f
e01a8eb vicious: document mem.bcuse
1384b69 mem: provide mem.bcuse for Gabriel
324563e Next release, tag 2.0.3
dcc2b60 vicious: load widget modules only when needed
06e8f7c mpd: allow named keys or positional arguments
729ceb7 dio: import string.match()
c2f7fbc dio: provide stats for all devices, rewritten by Joerg
6522f58 cpu: another 10 percent optimization from Joerg
753ce61 cpu: calculation and optimization fixes by Joerg
f85d944 gmail: fixed misleading comment
31d7b2f bat: fixed "no such device" for current and power
d385843 helpers: properly handle magic characters
6ddad31 bat: added power_now support
fd0718e contrib: added a README with pulse.lua documented
9f4302c contrib: rewrite pulse module
5160cfe Next release, tag 2.0.2
add54f8 README: added missing register() documentation
fe2e432 TODO: fix contrib/sensors for Ian
7625933 wifi: proper fix for SSID regexp
7f7a94d gmail: inbox is now default
82eb67b wifi: removed spurious bracket from SSID regexp
304fa33 wifi: properly handle disconnects
32a7be1 wifi: provide link quality in percent
c532c0b contrib: fixed email of pulse widget author
49b0913 wifi: improved SSID regular expression
932bd8d init: emit timeout instead of forced update
fbd2af7 init: add set_markup support
e51d8ac date: turn time widget argument into an offset
c6085ee date: accept time as a widget argument
a9d6ea2 init: add connect_signal support, patch by Uli
86a1394 README: update contrib information
fbfcc49 init: comment connect_signal for users of awesome master
1d7f646 pkg: description updated
88c3d0c contrib: use pcall for luasocket in pop
b200a80 contrib: dont import pop - requires luasocket
0350ec9 TODO: document contrib widgets
f8a8696 contrib: imported POP3 widget from Boris
1a443cd init: import contrib widgets, commented
26b0395 contrib: imported contrib widgets
0d6333e Next release, tag 2.0.1
1534951 mpd: added some optional stats, commented
4113d37 pkg: include FreeBSD support
fc46e7a TODO: solid multigraph support needed
d912663 net: add operational state support
8674c91 dio: add partition support
d6faae1 TODO: remove org-mode extension
6171734 TODO: added the carrier detection todo
6d6e98a TODO: included the todo file to encourage contribution
ca1d8d7 README: cut on the security crap
fdae848 raid: removed permanent stats storage
3e12875 pkg: include Mandriva support
64e5426 uptime: simplified system load regexp
448275a widgets: reuse existing datasets where appropriate
a9347ec raid: import raid state widget type by Hagen
9af29ce pkg: aptitude alternative to apt-show-versions
94a60fb bat: fixed module description
338a2ee Next release, tag 2.0.0
0299c15 widgets: minor cleanup before a tag in cpuinf, fs, mbox...
4fc6dff wifi: return 0 not N/A when channel is unavailable
f50ad21 thermal: function argument is already local
4f86e28 os: merge with entropy widget type
49b1b09 helpers: index subdirectories in pathtotable()
7cbf987 bat: fix battery detection
a4bd307 README: updated link to contrib
4dad2e3 API: missing warg should not break awesome
237470c API: transform widgets namespace table to a directory
9a82d41 init: never pass string to awful.widget widgets
3ac4fcf init: missing widget type should not break awesome
febc91d hddtemp: minor style changes
9338cb9 cpuinf: rewritten and optimized
96a8e55 Make use of io.lines() where appropriate
6441db0 README: added a list of needed utilities
06a455a README: add contributors to Authors section
178a7eb README: added contrib and vicious-fbsd information
0dd5b72 README: standardize quotes
8482b54 mpd: rewritten and now uses curl not mpc
dda51b1 net: remove redudant string.match call
1abb451 Next release, tag 1.0.26
6898d4a dio: add I/O scheduler support
71f21f3 fs: use -l not --local for portability
edb4619 os: import operating system information widget
de15934 fs: further improve the regexp
3178068 mem: rewrite and simplify
77d1a0b gmail: switch to ~/.netrc for login storage
1c0ceff gmail: don't break on non-escaped chars, quote login
abacd77 fs: include available space in percent, requested by Jon
94e7ed1 fs: rewritten, less prone to error
fa40e40 init: never pass nil into awful.widget widgets
6f79227 Next release, tag 1.0.25
f34bfaf fs: fix the bug reported by Alex Tergeland
5f41c7a init: do not use keyword type for user data
ee64644 API: added force() function to force update widgets
95e9a77 API: regregister() and update() are not exposed
ff050a0 README: link to the "Widgets in awesome" document
5226d10 API: function enable_caching() is now cache()
9371839 volume: added real mute support
dbd6c7b weather: capitalize weather and sky stats
2c6b969 weather: calculate degree Celsius from Fahrenheit
ad14818 helpers: import capitalize
0ab8311 wifi: properly handle iwconfig PATH differences
4fa87fa wifi: properly handle non-existant interface
9eef646 git: ignore file removed
4664bee mdir: fix module description
57004c0 Next release, tag 1.0.24
b96cb98 bat: added a note about Apple PMU and ACPI/procfs
23d09f0 README: added the Security section
e29ea62 helpers: uformat helper replaces formatting done by widgets
f4cd746 pkg: solve interactive pacman prompt patch from tdy
5e1d1e0 volume: suggest appending card ID or other options
24f23fa gmail: reworked feed handling and changed username format
6c34e85 thermal: added support for procfs and coretemp
355c838 Next release, tag 1.0.23
0f3123e README: added textbox fixed width example
3095ffb pkg: added apt and yum to pkg managers table
91925e6 pkg: pacman moved to generic packages module
71566e0 dio: further improved support for multiple devices
8fe4cf4 net: sanitize time computation to avoid division by zero
d2a00d7 Next release, tag 1.0.22
15dd6ea vicious: update copyright
9e37225 pacman: remove 3.2 example, add ignores+deps example
cedf171 wifi: return numbers without notations
fba4db6 weather: fix parsing of negative temperatures
2100ea1 Next release, tag 1.0.21
9b5efc7 cpu: simplified table initialization
9150063 dio: preliminary support for multiple devices
b4031d2 dio: return separated read and write statistics
2c900fa README: minor changes in Format functions
c870691 fs: switched to 1K blocks and new keys
5cbd759 net: move formatting out of the worker
14d69f6 net: minor coding style change
db82c2a Next release, tag 1.0.20
3834caa hddtemp: fixed support for multiple devices
1790abb hddtemp: adapt regex to match disks like /dev/sg0
2492945 fs: minor coding style change
f5b47dc mdir: support for multiple directories
1d0cfd3 Cleanup widgets that use pathtotable helper
76942d1 helpers: simplify pathtotable, patch by filmor
26c1f07 Next release, tag 1.0.19
2e9b811 README: document new truncate and scroll usage
d0aa48a entropy: widget rewritten, poolsize no longer an argument
493150c uptime: merged with load widget type
7be560b bat: widget rewritten for sysfs
a99c1cf cpufreq: widget rewritten, governor symbols enabled
5f9818f dio: widget type rewritten
92be5fb thermal: widget rewritten for sysfs
46d52fa helpers: import pathtotable
eb661f6 batsys: add note about other charge/rate sources
6fadee6 batsys: don't return 0 if only rate is missing
8e21d26 batat: widget type removed, now available in the contrib branch
e66e507 batsys: import battery widget that uses sysfs
896df4d De-obfuscate e-mail address
94cf0b7 Minor changes in mboxc and org
44d943d gmail: add scrolling support and truncate control
9e91408 mbox: add scrolling support and truncate control
5ff8927 mpd: add scrolling support and truncate control
589feb1 helpers: import scroll from Remy Clouard
0d73f6d Ensure returned numbers are of type number
b105ae2 README: updated net description
3dc7c5e net: unit formatting delegated to a function
5c6f544 README: more information in Power section
40d7881 Adapt to awful.widget.graph max_value of 1
25ce79e batat: better returns when handling insufficient data
baa3612 Next release, tag 1.0.18
97d2ecb bat: better returns when handling insufficient data
4d1af1e bat: better fix for ACPI, from bioe007
2cfdd5a bat: quick fix for broken BAT/ACPI implementations
64464ef README: removed obsolete widget names
11985f6 README: added padding example
feca5da mem: tonumber is redudant
7f3d31e uptime: fixed problem discovered by jabbas
65e57fa README: document tables returned by widget types
893a85c README: caching documentation improved
00e7b2d README: fixed disk i/o warg documentation
0eea1a1 cpu: simplified CPU identification
e252fd9 Next release, tag 1.0.17
a2b9de4 mem: widget type rewritten
c84f515 mbox: read a 30kb chunk by default
4602ca2 Lots of coding style changes
af4e85f bat: added a handler for incompetent users
fcf1027 cpufreq: use string library for find/match
b4e028b Removed some useless else statements
b65d509 Reworked counters in mboxc, mdir, org
b185e96 mbox: don't hide when there is no mail
724366c Reworked some variables in entropy, load, mpd, net, init
643ecb0 date: function simplified
3d97d44 cpuinf: prepend 'cpu' to CPU ID in table keys
0d5f07b README: included 'Other uses' section
9d518b8 volume: added mute support
ddf9646 thermal: added some comments
0e863a5 bat: coding style changes
44f95c3 cpufreq: widget type rewritten
aed9245 README: fixed some typos
f933566 README: updated gmail information
f99a74b gmail: count all unread messages
5dac6a4 mboxc: support for multiple mbox files
32fe770 README: fixes from git-diff --check
b0f737e Rewrote all headers
8e544fd Next release, tag 1.0.16
b8f288b README: clarified caching usage
46a7241 README: added more caching information
eadf0c9 Caching is controlled by users
0945724 README: minor fix in mem widget example
51d5255 README: include pbar/graph properties in examples
c9fba4e Widgets derived from wicked include a notice
ba6dfae Next release, tag 1.0.15
1707bc6 README: rewritten and now includes the "Power" section
e205d66 CHANGES: changelog update
9ca9e2f Next release, tag 1.0.14
68b30a3 init: Default to 2s timer
bc3cf45 README: mpd format function simplified
7410bc0 Entropy widget cleaned up
549c8bc Remote file systems in fs widget are optional
2a5126f General cleanup
4f3599d README: fixed CPU widget example
1603b5f Curl connect timeout 1s, max time 3s
a950bd9 Next release, tag 1.0.13
161607e Gmail widget included
e5c980e CHANGES file switched to 'oneline' short format
fbc3f14 Updated links in the README
13527a3 Match all punctuation chars in fs partitions and mount points.
0ca1fd3 Match punctuation characters in wifi SSID.
cb36f74 Next release, tag 1.0.12.
11b433c README updated in preparation for release 1.0.12.
2cc4e97 Removed deprecated data field.
e7c2e2c Updated graphs and pbars for the upcoming awesome 3.4
853fafc Updated timers for the upcoming awesome 3.4
53b2799 Next release, tag 1.0.11.
c283edc Updated link to wicked home.
0067dca Removed emtpy lines from mpd.lua
5e3b953 Link to wicked and add Joerg as contributor.
4330375 Next release, tag 1.0.10.
44cd53f Updated the CHANGES file in preparation for a new tag.
7ad474b Use of LANG=C and improved matching in fs.lua.
f8eb93a Mention ICAO as the wanted code in the weather widget.
376591e Added laptop-mode note to the README.
e5181cc Next release, tag 1.0.9.
03693e7 Renamed unused loop identifiers to _
9f75b0d Spurious folds removed from helpers.
41d4acb Truncate helper, txtlen is local.
3b3e0dc CHANGES file updated. Will probably switch to shortlog.
d4595bb All worker functions are local.
8b38567 Added missing poolsize info to the README + minor change in fs.lua
798036e Changed fs widget type description.
8d59a01 Next release, tag 1.0.8.
d2d244f CPU Information widget included.
cbd9a53 Next release, tag 1.0.7.
013dd08 HDD Temperature widget included.
515cc0d Weather widget switched to curl.
477b8d2 CHANGES file updated before the next push.
f14280b Pacman widget updated for pacman 3.3.
b46278a Lower the wget timeout to 3s in weather.lua
eaf8470 Cleaned up sample widgets in the README
44aea40 Remove a spurious comment from helpers.lua
3c76e0d Introduced the truncate helper.
2d0cbf5 Fixed the weather widget, wind km/h was broken.
4c74de7 Padding removed, along with deprecated helper functions.
2d4efa6 Minor cleanup in init.lua
22033ba Disallow using a string widget type.
756215f Next release, tag 1.0.6.
5909d9e Updated the CHANGES file in preparation for tag v1.0.6.
cef569b CPU frequency widget included.
3fe67d4 Coding style changes in entropy, load, thermal, uptime.
09fda0a Rewrite of the escape helper.
047dba0 Next release, version/tag 1.0.5.
cad950a Updated the CHANGES file in preparation for tag v1.0.5.
418151f Make all widgets return their worker functions when called.
1630b78 Added wind speed in km/h to the weather widget.
f841c54 Updated the CHANGES file.
3f851ff Added a note about weather symbols to the weather widget.
1b99061 Use utf symbols for some bat states. Mention LuaFileSystem in mdir.lua
f00558c Next release, version 1.0.4.
475da04 Mbox mail count widget included.
dad393b Updated the CHANGES file.
bc63706 Coding style fixes in battery widgets.
052748a Fix the key reference to custom keys in the README
9c973a5 Updated the CHANGES file.
51770fe Fixed README and moved the ChangeLog to CHANGES.
2ab90de Updated the ChangeLog file, for v1.0.3.
0471c6a Next release, version 1.0.3.
a8dc5c6 Added basic documentation as a README file.
b06a5b6 Make git ignore org-mode files and archives.
87d895f Next release, version 1.0.2.
5ff480d Updated the ChangeLog file in preparation for a new version.
2921200 Added handlers to batat and fixed the battery_state table.
e2d503e Added a new, standalone, battery widget.
19ca7b5 Replaced TODO with Todo in helpers.
9cd250b Fixed batat module name and expanded bat states and symbols.
b331cb1 Updated the ChangeLog file.
76b8978 Battery widget moved to batat.lua in preparation for a new bat widget.
9da374d Updated the ChangeLog file.
1f31527 Next release, version 1.0.1.
11baa09 Added the ChangeLog file.
3eefddf Weather widget written and included, by request.
95dd8de Make git ignore backup files and lua binaries.
98e26ee Import of vicious source tree.
